Bug 126053 - www/apache22 missing dependancy on apr-svn
Summary: www/apache22 missing dependancy on apr-svn
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: apache
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-07-28 23:00 UTC by leres
Modified: 2009-01-18 19:45 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description leres 2008-07-28 23:00:04 UTC
	If you build apache22 with APR_FROM_PORTS and have apr-svn
	(apr-db43-ldap) installed, binaries installed by apache22
	depend on apr-svn but there no dependancy is registered.

Fix: 

------- =_aaaaaaaaaa0
Content-Type: text/plain; name="trans.txt"; charset="us-ascii"
Content-ID: <69188.1217276151.2@fun.ee.lbl.gov>

# pkg_info | egrep -w '(apr|apache)'
apache-2.2.9        Version 2.2 of Apache web server with prefork MPM.
apr-db43-ldap-1.3.2 The Apache Group's Portability Library
# ldd /usr/local/sbin/httpd
/usr/local/sbin/httpd:
	libm.so.4 => /lib/libm.so.4 (0x280cf000)
	libaprutil-1.so.2 => not found (0x0)
	libldap-2.3.so.2 => /usr/local/lib/libldap-2.3.so.2 (0x280e5000)
	liblber-2.3.so.2 => /usr/local/lib/liblber-2.3.so.2 (0x28113000)
	libssl.so.5 => /usr/lib/libssl.so.5 (0x2811e000)
	libcrypto.so.5 => /usr/lib/libcrypto.so.5 (0x28157000) 
	libdb-4.3.so.0 => /usr/local/lib/libdb-4.3.so.0 (0x28275000)
	libexpat.so.6 => /usr/local/lib/libexpat.so.6 (0x28340000)
	libiconv.so.3 => /usr/local/lib/libiconv.so.3 (0x2835e000)
	libapr-1.so.2 => not found (0x0)
	libcrypt.so.3 => /lib/libcrypt.so.3 (0x28452000)
	libpthread.so.2 => /lib/libpthread.so.2 (0x2846a000)
	libc.so.6 => /lib/libc.so.6 (0x2848f000)
# pkg_info -r apache-2.2.9
Information for apache-2.2.9:

Depends on:
Dependency: expat-2.0.1
Dependency: openldap-client-2.3.42
Dependency: perl-5.8.8_1
Dependency: libiconv-1.11_1

------- =_aaaaaaaaaa0--
How-To-Repeat: 	I had apache-2.2.9 and apr-db43-ldap-1.2.12 installed; I
	upgraded to apr-db43-ldap-1.3.2 and now httpd is missing
	libaprutil-1.so.2 and libapr-1.so.2; see attachment.
Comment 1 Philip M. Gollucci freebsd_committer 2008-07-28 23:28:22 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pgollucci

I'll take it.
Comment 2 dfilter freebsd_committer 2008-08-31 17:51:46 UTC
clement     2008-08-31 16:51:38 UTC

  FreeBSD ports repository

  Modified files:
    www/apache22         Makefile pkg-plist 
    www/apache22/files   patch-srclib:apr-util:build:dbm.m4 
  Log:
  - Fix plist when NOPORTDOCS is defined [1]
  - Add WITH_SVN knob. It enables BDB for apache22 port and
    force dependency on dev/apr-svn when WITH_APR_FROM_PORTS is
    defined. (should help fixing [2]).
    Introduce APR_PORT.
  - Add support for db-4.7 [3]
  - Add mod_ldap OPTIONS fixup [4]
  - Sometimes, rc scripts aren't included in package
    Try to fix this. [5]
  
  PR:    ports/126053 [2], ports/125520 [3]
         ports/124651 [4], ports/126670 [5] (partially)
  
  Reported by: QA Tindy [1],
               Crazig Leres [2],
               Larry Rosenman [4]
               Kirk Strauser [3],
               Joseph S. Atkinson [5]
  
  Revision  Changes    Path
  1.221     +17 -4     ports/www/apache22/Makefile
  1.4       +132 -8    ports/www/apache22/files/patch-srclib:apr-util:build:dbm.m4
  1.88      +2 -1      ports/www/apache22/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Philip M. Gollucci freebsd_committer 2008-12-27 20:26:39 UTC
Responsible Changed
From-To: pgollucci->apache

apache team
Comment 4 Philip M. Gollucci freebsd_committer 2009-01-12 20:35:14 UTC
State Changed
From-To: open->analyzed

See also, ports/130437
Comment 5 Philip M. Gollucci freebsd_committer 2009-01-18 19:45:20 UTC
State Changed
From-To: analyzed->closed

Committed. Thanks!